import "reflect-metadata";
import express from 'express';
import musicRouter from "./route/musica";
import { banco } from "./banco"

const minhaAPI = express();
minhaAPI.use(express.json());
minhaAPI.use('/musicas', musicRouter);
const porta = 3000;

// Iniciando o servidor
minhaAPI.listen(porta, async() => {
    
    banco.initialize().then(() => {
        console.log("Conexão com o banco de dados efetuada com sucesso.")
    }).catch((erro) => console.log(erro));

    console.log('Servidor web rodando na porta 3000');
});
