import express from 'express';
import { MusicaController } from '../controller/MusicaController';

const router = express.Router();
const musicaController = new MusicaController();

router.get('/', (req, res) => { musicaController.listar(req,res) });
router.post('/', (req, res) => { musicaController.criar(req,res) });
router.put('/:id', (req, res) => { musicaController.atualizar(req,res) });
router.delete('/:id', (req, res) => { musicaController.remover(req,res) });

export default router;